View Issue Details

IDProjectCategoryView StatusLast Update
0007297MediaMonkey (current)DB/FileMonitorpublic2011-04-17 00:53
Reporterrusty 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version4.0 
Target Version4.0Fixed in Version4.0 
Summary0007297: Remove unnecessary/deprecated options
Description1) File > Maintain Library functions has unneeded functions (since the functionality is now directly in the Tools > Options > Library menu):
a) Remove unused albums: not needed considering that this is now configurable in Options > Library via 'Remove unused attributes...'
b) Remove unused artists: same as above

2) Options \ General \ User-friendly masks

3) Options \ General \ Temporary directory {we could always use the system default}
Tagstodoc_context
Fixed in build1354

Activities

Ludek

2011-02-24 13:11

developer   ~0023374

Last edited: 2011-02-24 13:13

View 3 revisions

1) & 2) is fixed in build 1351.

But I am not sure about 3), because now we use Temporary Directory also for caching auto-converted media files for UPnP/DLNA streaming. This means that user might want to configure the temporary location to another drive and use the drive exclusively for converted streaming content. For example he has only FLAC files, but in the temp will have pre-converted MP3s for stremaing.

This on the contraty requires another config that would limit the space for the cached DLNA/UPnP transcoded content. i.e. there should be a config saying
[x] Maximum disc space to use for temporary files: ___ MB

But probably we should split the cases and use two temporary locations
1. One for whatever temporary content and use the system location for it (without a need to configure)
2. Second one for streamed (cached) content with optional location and ability to limit the space.

rusty

2011-02-24 15:09

administrator   ~0023378

We can use 2 temporary locations if we want, but do we need to expose either via the UI?

Re. limits, I agree that the streaming cache should have a maximum size limit. e.g. "Maximum cache size for streaming content: _1000_ MB"

btw, how does the stream-cache work? Does it just cache any content that it converts? Or does it do so as a background process via some trigger?

Ludek

2011-02-24 15:53

developer   ~0023381

Last edited: 2011-02-24 15:54

View 2 revisions

As discussed with Jiri over IM

1. Remove the current Temporary directory config from Options > General
as suggested by Rusty

2. Add new confix to Options > Media Sharing

Cache content to: ________
[x] Maximum cache size for streaming content: _1000_ MB

and it would cache whatever auto-converted (transcoded) content and the oldest one would be deleted once it gets over 1000 MB. Note that the advantage of caching is that user might want to watch a film partially and the rest another time and then there is no need to re-convert it.

jiri

2011-02-24 16:41

administrator   ~0023382

I'd just change it to:

Cache auto-converted content to: ________
  [x] Maximum cache size: _5000_ MB

jiri

2011-02-24 16:42

administrator   ~0023383

Reminder sent to: rusty

Rusty, please add a context help for this.

Ludek

2011-02-25 15:28

developer   ~0023404

Moved to 0007451

3) Options \ General \ Temporary directory
=> removed in 1351.

lowlander

2011-03-04 19:11

developer   ~0023580

Last edited: 2011-03-04 19:26

View 2 revisions

Please consider returning the custom temp directory as I need to be able to move this to a different location. I also think the UPnP image cache should be located in the UPnP temp directory.
With the addition of UPnP users might install this on server like systems with a small SSD type main drive and having MediaMonkey use this is not desirable. Furthermore users might still want the temp drive on this drive for other (server type) applications.
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=56205

jiri

2011-03-07 10:12

administrator   ~0023590

Ok, let's return it. It seems that too many users might be affected and having it configurable only from the .ini file wouldn't be enough.

petr

2011-03-08 17:50

developer   ~0023603

Temporary directory edit in General was returned in 1352

lowlander

2011-03-09 16:51

developer   ~0023623

Verified in 1352. Changing the directory doesn't take affect until restart, but there is no indication a restart is needed. It also doesn't remove the cached files from the old location: http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=56310

petr

2011-03-09 19:21

developer   ~0023627

Covers cache will move (fixed in 1353).

Ludek

2011-03-14 11:39

developer   ~0023677

Fixed in 1354.

Changing the Temp. directory in options is applied immediatelly without a need to restart MM.

peke

2011-04-17 00:53

developer   ~0024340

Verified 1364